#
# spec file for package xsane (Version 0.79)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gimp gimp-devel glib glib-devel gtk gtk-devel hp-officeJet libjpeg libpng libtiff libz sane xf86 xshared
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext gimp gimp-devel glib glib-devel glibc glibc-devel gpm gppshare grep groff gtk gtk-devel gzip hp-officeJet kbd less libjpeg libpng libtiff libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sane sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         xsane
Copyright:    GPL 2.0
Group:        X11/Applications/Graphics
Provides:     xsane
Requires:     sane
Autoreqprov:  on
Summary:      An X Frontend for SANE
Version:      0.79
Release:      108
URL:          http://www.wolfsburg.de/~rauch/sane/sane-xsane.html
Source:       ftp://ftp.informatik.uni-oldenburg.de/pub/sane/xsane/xsane-%{version}.tar.bz2
BuildRoot:    /var/tmp/%{name}-%{version}-root

%description
XSane is a Gtk-based, comfortable, and stable X front-end for SANE (Scanner
Access now Easy) under Linux. XSane allows scanning, copying, and faxing and can be
used as a scan module for GIMP.
Furthermore, there are versions of XSane for other operating systems, which
allow to access a scanner connected to a Linux box via network. Check out
http://www.wolfsburg.de/~rauch/sane/sane-xsane.html for that.

Authors:
--------
    Oliver Rauch <Oliver.Rauch@Wolfsburg.DE>

SuSE series: gra

%prep
%setup

%build
CFLAGS="$RPM_OPT_FLAGS" \
  ./configure --prefix=/usr \
  --exec-prefix=/usr/X11R6 \
  --sysconfdir=/etc \
  --mandir=%{_mandir} \
  --enable-gimp  
make

%install
make exec_prefix=$RPM_BUILD_ROOT/usr/X11R6 \
  sysconfdir=$RPM_BUILD_ROOT/etc \
  mandir=$RPM_BUILD_ROOT%{_mandir} \
  prefix=$RPM_BUILD_ROOT/usr install
mkdir -p $RPM_BUILD_ROOT/usr/lib/gimp/1.2/plug-ins
ln -sf /usr/X11R6/bin/xsane $RPM_BUILD_ROOT/usr/lib/gimp/1.2/plug-ins/xsane

%clean
#rm -rf $RPM_BUILD_ROOT

%files
%doc xsane*
%{_mandir}/*/*
/usr/X11R6/bin/*
/usr/lib/gimp/1.2/plug-ins/*
/usr/share/sane
/usr/share/locale/*/LC_MESSAGES/*

%changelog -n xsane
* Sat Sep 15 2001 - kukuk@suse.de
- Remove netscape from requires
* Fri Aug 31 2001 - ro@suse.de
- added <hp-officeJet> to neededforbuild (for sane)
* Wed Aug 22 2001 - freitag@suse.de
- update to version 0.79, which include:
  * (still experimental) email functionality improved
  * preview improvement
  * medium selection for negatives
  * security enhancement when xsane is running with suid=root
* Fri Jun 29 2001 - freitag@suse.de
- update to version 0.78
* Tue Apr 24 2001 - egger@suse.de
- Updated to version 0.75.
- Use BuildRooting
- Use better paths for data.
- Should fix bug 7088.
* Mon Apr 02 2001 - freitag@suse.de
- update to version 0.74, source in bzip2-format.
* Mon Mar 05 2001 - freitag@suse.de
- update to version 0.72
* Thu Jan 18 2001 - freitag@suse.de
- update to version 0.70 to fix a bug with gimp plugin mode.
* Mon Dec 18 2000 - freitag@suse.de
- update to version 0.67
* Fri Dec 08 2000 - freitag@suse.de
- update to version 0.64
* Mon Nov 06 2000 - freitag@suse.de
- changed License/Copyright in spec-File
* Thu Nov 02 2000 - freitag@suse.de
- update to version 0.62
  neededforbuild needs gimp-devel, not gimp-dev
* Wed Nov 01 2000 - egger@suse.de
- Updated specfile to new long packagenames.
- Reworked specfile.
- Probably needs some more work; I'm taking care of that.
* Mon Sep 25 2000 - ro@suse.de
- make it compile
* Tue Sep 19 2000 - egger@suse.de
- Use -p for makedir.
- Buildproofed on i386.
* Tue Sep 05 2000 - egger@suse.de
- update to version 0.61
* Wed Jun 07 2000 - freitag@suse.de
- update to version 0.57
* Sat Mar 04 2000 - ro@suse.de
- removed libgimp from neededforbuild
* Mon Feb 28 2000 - freitag@suse.de
- inserted group tag
* Mon Feb 14 2000 - freitag@suse.de
- update to version 0.55
* Mon Jan 10 2000 - freitag@suse.de
- update to version 0.49
* Tue Oct 26 1999 - freitag@suse.de
- initial verison 0.40
